const fs = require('fs-extra');
const execSync = require('child_process').execSync;
const shouldUseYarn = require('./shouldUseYarn');
const chalk = require('chalk');

module.exports = (projectPath, tempFolder, templateName, templateVersion) => {
  const useYarn = shouldUseYarn();

  console.log();
  console.log(`${chalk.green('Downloading template')}: ${templateName}@${templateVersion}.`);

  if (useYarn) {
    const templatePackageFolder = tempFolder + '/@lodgify/' + templateName;

    try {
      execSync(`yarn add --modules-folder ${tempFolder} @lodgify/${templateName}@${templateVersion}`, {stdio: 'ignore'});
      fs.copySync(templatePackageFolder, projectPath);

    } catch (e) {
      console.error(e);
      exit(1);
    }

  } else {
    try {
      const templatePackageFolder = tempFolder + '/node_modules/@lodgify/' + templateName;
      execSync(`npm install --prefix ${tempFolder} @lodgify/${templateName}@${templateVersion}`, {stdio: 'ignore'});
      fs.copySync(templatePackageFolder, projectPath);

    } catch (e) {
      console.error(e);
      exit(1);
    }
  }
};