'use strict';

const execSync = require('child_process').execSync;
const inquirer = require('inquirer');

module.exports = firstAnswers => {
  return new Promise((resolve, reject) => {
    const versions = JSON.parse(execSync(`npm view @lodgify/${firstAnswers.templateName} versions --json`));
    inquirer.prompt([
      {
        type: 'list',
        name: 'customVersion',
        message: 'Would you like to install a custom template version ? :',
        choices: ['Yes', 'No (use the latest version)'],
        default: 'No (use the latest version)'
      }
    ]).then(function (answer) {
      if (answer.customVersion === 'Yes') {
        inquirer.prompt([
          {
            type: 'list',
            name: 'templateVersion',
            message: 'Please choose the template version :',
            choices: versions,
            default: versions[versions.length - 1]
          }
        ]).then(function (answer) {
          resolve(Object.assign({}, firstAnswers, answer));
        })
      } else {
        resolve(Object.assign({}, firstAnswers, {
          templateVersion: versions[versions.length - 1]
        }));
      }
    });
  })
};