const execSync = require('child_process').execSync;
const shouldUseYarn = require('./shouldUseYarn');
const chalk = require('chalk');

module.exports = root => {
  process.chdir(root);
  const useYarn = shouldUseYarn();

  console.log();
  console.log(`${chalk.green('Installing packages')}. This might take a couple of minutes.`);
  console.log();

  try {
    execSync(`${(useYarn ? 'yarn' : 'npm')} install`, {stdio: 'inherit'});
  } catch (e) {
    console.error(e);
    exit(1);
  }
};
