const path = require('path');
const fs = require('fs-extra');

module.exports = (root, projectName, templateName, templateVersion) => {
  const packageJsonPath = path.join(root, 'package.json');
  const oldPackageJson = fs.readJsonSync(packageJsonPath);
  const newPackageJsonData = {
    name: projectName,
    version: '0.1.0',
    description: `Custom template extended from ${templateName} - ${templateVersion}`,
    author: '',
    license: ''
  };
  const newPackageJson = Object.assign({}, oldPackageJson, newPackageJsonData);

  if (newPackageJson.scripts && newPackageJson.scripts.prepublish) {
    delete newPackageJson.scripts.prepublish;
  }

  if (newPackageJson.dist) {
    delete newPackageJson.dist;
  }

  Object.keys(newPackageJson).forEach(function (key) {
    if (key.substring(0, 1) === '_') {
      delete newPackageJson[key]
    }
  });

  fs.writeJsonSync(packageJsonPath, newPackageJson, {
    spaces: 2
  });
};
