import {initializeAdvancedSearch} from './initializeAdvancedSearch';
import {ADVANCED_SEARCH_CONTAINER_ID} from './constants';

describe('initializeAdvancedSearch', () => {

  test('should default to calling `initialize` with the correct element', () => {

    const element = document.createElement('div');
    element.id = ADVANCED_SEARCH_CONTAINER_ID;
    document.body.appendChild(element);

    const initialize = jest.fn();
    global.AdvancedSearch = {initialize};

    initializeAdvancedSearch();

    const {calls} = initialize.mock;
    expect(calls.length).toBe(1);
    expect(calls[0][0]).toEqual(element);

  });

  test('should log the error on error', () => {

    const error = new Error('aaagh');
    const initialize = () => {throw error;};
    global.AdvancedSearch = {initialize};

    const log = jest.fn();
    global.console.error = log;

    initializeAdvancedSearch();

    const {calls} = log.mock;
    expect(calls.length).toBe(1);
    expect(calls[0][0]).toEqual(error);

  });

});
