import {initializeCheckout} from './initializeCheckout';
import {CHECKOUT_CONTAINER_ID} from './constants';

describe('initializeCheckout', () => {

  test('should default to calling `initialize` with the correct id', () => {

    const initialize = jest.fn();
    global.CheckoutPaymentApp = {initialize};

    initializeCheckout();

    const {calls} = initialize.mock;
    expect(calls.length).toBe(1);
    expect(calls[0][0]).toBe(CHECKOUT_CONTAINER_ID);

  });

  test('should log the error on error', () => {

    const error = new Error('aaagh');
    const initialize = () => {throw error;};
    global.CheckoutPaymentApp = {initialize};

    const log = jest.fn();
    global.console.error = log;

    initializeCheckout();

    const {calls} = log.mock;
    expect(calls.length).toBe(1);
    expect(calls[0][0]).toEqual(error);

  });

});
