const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');

const rootPath = path.resolve('.');

/**
 * Resolves the webpack entryPoint to be exported
 * @param  {Object} config
 * @return {Object}
 */
const entryResolver = (config, page) => ({
  entry: `./${page}/demo.js`,
  output: {
    filename: 'demo.js',
    path: path.join(rootPath, 'build')
  },
  plugins: config.plugins.concat([
    new HtmlWebpackPlugin({
      title: `Lodgify Demo - ${page}`,
      filename: 'index.html',
      template: `./${page}/index.html`
    })
  ])
})

module.exports = entryResolver;
