const readPkg = require('read-pkg');
const writePkg = require('write-pkg');

process.chdir(__dirname + '/..');

const packageConfigPath = './package.json';
const backupPackageConfigPath = './package.json.bak';

const packageJson = readPkg.sync(packageConfigPath, { normalize: false });
const packageJsonBackup = readPkg.sync(backupPackageConfigPath, { normalize: false });

const fs = require('fs-extra');

try {
  console.log('Restoring the backup file and assigning the new version..');

  writePkg.sync(packageConfigPath, Object.assign({}, packageJsonBackup, {
    version: packageJson.version
  }));

  console.log('Removing the backup file..');
  fs.removeSync(backupPackageConfigPath);
  console.log('Done!');
} catch (err) {
  console.error(err)
}
