const readPkg = require('read-pkg');
const writePkg = require('write-pkg');
const execSync = require('child_process').execSync;
const fs = require('fs-extra');

process.chdir(__dirname + '/..');

const packageConfigPath = './package.json';

const packageJson = readPkg.sync(packageConfigPath, { normalize: false });

function writeTemporaryPackageJson() {
  console.log('Removing scripts, dependencies, devDependencies from it...');
  delete packageJson['scripts'];
  delete packageJson['devDependencies'];
  delete packageJson['dependencies'];
  delete packageJson['peerDependencies'];

  try {
    console.log('Writing the temporary package.json file...');
    writePkg.sync(packageJson);
    console.log('Done. Temporary file created to be published.');
  } catch (err) {
    console.error(err)
  }
}

try {
  execSync(`npm run build`, {stdio: 'inherit'});
  console.log('Creating a copy of package.json...');
  fs.copySync(packageConfigPath, packageConfigPath + '.bak');
  writeTemporaryPackageJson();
} catch (err) {
  console.error(err)
}
