## @lodgify/eslint-config

[Shareable ESLint config](https://eslint.org/docs/developer-guide/shareable-configs) with [Prettier](https://prettier.io/).

#### Install

```sh
$ yarn add @lodgify/eslint-config
```

#### Use

.eslintrc

```js
{
  "extends": "@lodgify"
}
```

package.json

```js
{
  ...
  "scripts": {
    // one of these...
    // recommended: lint and fix whole project 🎉
    "lint": "eslint --fix"
    // lint whole project and print errors to console
    "lint": "eslint"
    // lint files in `src` directory only
    "lint": "eslint src",
    // lint `*.js` files only
    "lint": "eslint --ext .js",
    ...
  },
  ...
}

```

Then run

```sh
$ yarn run eslint
```

This also plays nicely with Atom's `linter-eslint`. Other editors and IDEs to be confirmed.
