/**
 * HTML encode strings
 * @param  {any} value
 * @return {String|any}
 */
export const replacer = (_, value) => {
  if (typeof value === 'string') {
    return value
      .replace(/&/g, '&amp;')
      .replace(/'/g, '&#39;')
      .replace(/</g, '&lt;')
      .replace(/>/g, '&gt;')
      .replace(/"/g, '&quot;');
  }
  return value;
};

/**
 * @param  {Object} object
 * @return {String}
 */
export const stringifyAndEncode = object => (
  JSON.stringify(object, replacer)
);
