/* eslint-disable no-param-reassign */
function formatImageUrl(url = '', w = 0, h = 0, mode) {
  const wRegex = new RegExp(/w=[0-9]+/i);
  const hRegex = new RegExp(/h=[0-9]+/i);
  const mRegex = new RegExp(/mode=(freesize|full|stretch|max|crop)/i);

  if (url === null) {
    return url;
  }

  if (!wRegex.test(url)) {
    url += url.indexOf('?') !== -1 ? `&w=${w}` : `?w=${w}`;
  } else {
    url = url.replace(/w=[0-9]+/i, `w=${w}`);
  }
  if (!hRegex.test(url)) {
    url += url.indexOf('?') !== -1 ? `&h=${h}` : `?h=${h}`;
  } else {
    url = url.replace(/h=[0-9]+/i, `h=${h}`);
  }
  if (!mRegex.test(url)) {
    url += url.indexOf('?') !== -1 ? `&mode=${mode}` : `?mode=${mode}`;
  } else {
    url = url.replace(/mode=(freesize|full|stretch|max|crop)/i, `mode=${mode}`);
  }
  return url;
}

export { formatImageUrl };
/* eslint-enable no-param-reassign */
