// Contact Form Constants
export const IP_LOOK_UP = 'https://ipinfo.io';
export const MOCK_URL = 'http://preview-antonio-fullone.lodgifystaging.com';

// OVERVIEW Tab Constants

export const ROOMS_BEDROOM = 'RoomsBedroom';
export const ENTERTAINMENTINTERNET = 'EntertainmentInternet';
export const WIRELESSBROADBAND = 'WirelessBroadband';
export const HEATINGACAIRCONDITIONING = 'HeatingACAirConditioning';
export const SPAOUTDOORSWIMMINGPOOL = 'SpaOutdoorSwimmingPool';

export const OVERVIEW = {
  featureGroupsMetadata: {
    sleeping: {
      iconName: 'icon-bed',
      i18nKey: 'G_FeaturesSleeping',
    },
    cooking: {
      iconName: 'icon-chef',
      i18nKey: 'G_FeaturesCooking',
    },
    heating: {
      iconName: 'icon-snow2',
      i18nKey: 'G_FeaturesHeating',
    },

    outside: {
      iconName: 'icon-sun',
      i18nKey: 'G_FeaturesOutside',
    },
    entertainment: {
      iconName: 'icon-tv',
      i18nKey: 'G_FeaturesEntertainment',
    },
    livingroom: {
      iconName: null,
      i18nKey: 'G_FeaturesLivingRoom',
    },
    sanitary: {
      iconName: 'icon-bathtub',
      i18nKey: 'G_FeaturesSanitary',
    },
    laundry: {
      iconName: 'icon-laundry',
      i18nKey: 'G_FeaturesLaundry',
    },
    parking: {
      iconName: 'icon-parking',
      i18nKey: 'G_FeaturesParking',
    },
    miscellaneous: {
      iconName: 'icon-couch',
      i18nKey: 'G_FeaturesMiscellaneous',
    },
  },

  featuredGroupArray: [
    'sleeping',
    'cooking',
    'heating',
    'outside',
    'entertainment',
    'livingroom',
    'sanitary',
    'laundry',
    'parking',
    'miscellaneous',
  ],

  facilitiesMetadata: [
    {
      outside: {
        iconName: 'icon-sun',
        i18nKey: 'G_FeaturesOutside',
      },
      parking: {
        iconName: 'icon-parking',
        i18nKey: 'G_FeaturesParking',
      },
      entertainment: {
        iconName: 'icon-dumbbell',
        i18nKey: 'TH_Overview_Spangym',
      },
    },
  ],
};

export const ICONS = {
  ROOM_ICON: {
    roomIcon: 'bed',
    icon: 'icon-bed',
  },
  WIFI: {
    roomIcon: 'wifi',
    icon: 'icon-wifi',
  },
  HEATING: {
    roomIcon: 'ac',
    icon: 'icons-snow2',
  },
  POOL: {
    roomIcon: 'pool',
    icon: 'icon-swim',
  },
};

// AJAX CALLS Constants
export const HEADERS = {
  requestWith: 'XMLHttpRequest',
  contentTypeJson: 'application/json, text/javascript, */*; q=0.01',
};
