import 'whatwg-fetch'; // https://github.com/github/fetch

import {
  checkStatus,
  parseJson,
  parseText,
  queryStringBuilder,
  parseErrorResponseData
} from './utils';

function baseGet(url, shortCode, data) {
  const queryString = queryStringBuilder(data);
  const payload = {
    headers: {
      'Accept-Language': shortCode
    }
  };
  return window
    .fetch(url + queryString, payload)
    .then(checkStatus);
}

export const getExternal = (url, shortCode) =>
  baseGet(url, shortCode)
    .then(parseJson)
    .catch(parseErrorResponseData);

export const getFile = (url, shortCode) =>
  baseGet(url, shortCode)
    .then(parseText)
    .catch(parseErrorResponseData);
