import { errorTypes } from './constants';

export const checkStatus = function checkStatus(response) {
  if (response.status === 200) {
    return response;
  }
  const error = new Error(response.statusText);
  error.response = response;
  throw error;
};

export const parseJson = response => response.json();
export const parseText = response => response.text();

export const parseErrorResponseData = function parseErrorResponseData(responseData) {
  return responseData
    ? Promise.reject(responseData)
    : Promise.reject(new Error(errorTypes.SERVER_UNEXPECTED));
};

export const queryStringBuilder = function queryStringBuilder(data = {}) {
  const entries = Object.entries(data);
  if (!entries.length) return '';

  const queryString = entries
    .map(([key, value]) => {
      if (value !== undefined) {
        return `${encodeURIComponent(key)}=${encodeURIComponent(value)}`;
      }
      return '';
    })
    .join('&');

  return `?${queryString}`;
};
