import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const HeadingWidgetContainer = styled.div`
  margin-bottom: 0.5em;
  * {
    font-family: ${props => props.theme.headerFont.name || 'Caveat, cursive'};
    max-width: 100%;
  }
`;
const HeadingWidget = ({ content }) => (
  <div className="heading">
    <HeadingWidgetContainer dangerouslySetInnerHTML={{ __html: content }} />
  </div>
);

HeadingWidget.propTypes = {
  content: PropTypes.string,
};

HeadingWidget.defaultProps = {
  content: '<h1>This is a heading</h1>',
};

export default HeadingWidget;
