import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const HtmlWidgetContainer = styled.div`
  * {
    max-width: 100%;
  }
`;

const HtmlWidget = ({ content }) => (
  <HtmlWidgetContainer dangerouslySetInnerHTML={{ __html: content }} />
);

HtmlWidget.propTypes = {
  content: PropTypes.string,
};

HtmlWidget.defaultProps = {
  content: '<h1>Test</h1><p>This is the html header</p>',
};

export default HtmlWidget;
