import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const ImageWidgetContainer = styled.div`
  img {
    max-width: 100%;
    width: 100%;
  }
`;

const ImageWidget = props => {
  const srcSet = `
    ${props.image}?w=1540&mode=max&f=32 1540w,
    ${props.image}?w=1140&mode=max&f=32 1140w,
    ${props.image}?w=960&mode=max&f=32 960w,
    ${props.image}?w=768&mode=max&f=32 768w,
    ${props.image}?w=575&mode=max&f=32 575w,
    ${props.image}?w=375&mode=max&f=32 375w
  `;
  return (
    <ImageWidgetContainer>
      <img
        src={props.image}
        sizes="(min-width: 1200px) 1140px,
      (min-width: 1024px) 960px,
      100vw"
        srcSet={srcSet}
        alt={'description'}
      />
    </ImageWidgetContainer>
  );
};

ImageWidget.propTypes = {
  image: PropTypes.string,
};

ImageWidget.defaultProps = {
  image: '//si2.cdbcdn.com/oh/fdcde5bf-64e2-40c8-8a8e-eba4e04656b9.jpg?w=768&mode=max&f=32',
};

export default ImageWidget;
