/* eslint-disable jsx-a11y/tabindex-no-positive */

import React from 'react';
import styled from 'styled-components';

import {
  I18nText,
  I18nPlainText
} from '../I18n';
import styles from './ownerLogin.scss';

const Title = styled.h2`
  font-family: ${props => props.theme.headerFont.name || 'Caveat, cursive'};
`;

const Button = styled.button`
  background: ${props => props.theme.palette.action || '#fac600'};
  border-radius: 40px;
  font-size: 0.75rem;
  border: none;
  width: 140px;
  height: 40px;
`;

const OwnerLogin = () => (
  <section className={`${styles.subtleBox} ${styles.ownerLogin}`}>
    <div className="container">
      <form id="ownerlogin">
        <div className="row">
          <div className="col-md-12">
            <Title><I18nText keyName="TH_Login" /></Title>
          </div>
        </div>
        <div className="row">
          <div className="col-md-12">
            <div
              id="login-ko"
              className={`${styles.alert} alert-danger`}
              style={{ display: 'none' }}
            >
              <span />
            </div>

            <div
              className={`${styles.alert} validation-summary-valid alert alert-danger`}
              data-valmsg-summary="true"
              id="login-validation-summary"
            >
              <ul>
                <li style={{ display: 'none' }} />
              </ul>
            </div>
          </div>
        </div>
        <div className="row">
          <div className="col-md-12">
            <div className="form-group">
              <input
                id="username"
                name="username"
                type="text"
                tabIndex="301"
                className="form-control"
                placeholder={<I18nPlainText keyName="TH_WI_OwnerSignup_Email" />}
                data-val="true"
                data-val-required={<I18nPlainText keyName={['G_Error_RequiredField', 'TH_WI_OwnerSignup_Email' ]} />}
              />
            </div>
          </div>
        </div>
        <div className="row">
          <div className="col-md-12">
            <div className="form-group">
              <input
                id="password"
                name="password"
                type="password"
                tabIndex="302"
                className="form-control"
                placeholder={<I18nPlainText keyName="TH_WI_OwnerLogin_Password" />}
                data-val="true"
                data-val-required={<I18nPlainText keyName={['G_Error_RequiredField', 'TH_WI_OwnerLogin_Password' ]} />}
              />
            </div>
          </div>
        </div>
        <div className="row">
          <div className="col-md-12">
            <div className="form-group">
              <input
                id="culture"
                name="culture"
                type="hidden"
                value="{{global.culture.short_code}}"
              />
              <Button
                id="login-send"
                type="button"
                tabIndex="303"
                onClick={() => {
                  global.ldgfy.login.onLogin();
                }}
              >
                <I18nText keyName="G_Button_Send" />
              </Button>
            </div>
          </div>
        </div>
      </form>
    </div>
  </section>
);

export default OwnerLogin;
