import React, { Component } from 'react';
import PropTypes from 'prop-types';
import jQuery from 'jquery';

import {
  I18nText
} from '../I18n';
import styles from './promotion.scss';

class Promotion extends Component {
  /*eslint-disable*/
  componentDidMount() {
    jQuery(`#promotion${this.props.id} button`).click(function() {
      if (this.props.propertiesCount == 1) {
        location.href = ldgfy.getCheckoutUrl(
          this.props.appliesToProperties[0],
          this.props.codes ? this.props.codes[0] : null,
        );
      } else {
        // | link_to_page page_slug:this.props.page_slug
        location.href = `${this.props.pageId}?promid=${this.props.id}${
          this.props.codes ? `&coupon=${this.props.codes[0]}` : null
        }`;
      }
    });
    /*
    jQuery(`#promotion${this.props.id}-tooltip`).tooltip({
      title: '{{this.props.description}}',
      placement: 'top',
      html: true,
    });
    */
  }
  /* eslint-enable */

  render() {
    const promotionStyle = this.props.image
      ? {
          background: `linear-gradient( rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3) ), url(${
            this.props.image
          }) no-repeat center center !important;`,
        }
      : null;
    const promotionTooltip = `promotion${this.props.id}-tooltip`;
    const promotionId = `promotion${this.props.id}`;
    return (
      <div className={styles.subtleBox}>
        <h2><I18nText keyName="TH_Promotion_SpecialOffer" /></h2>
        <div className="row">
          <div className="promotion-widget col-md-12">
            <div id={promotionId} className="promotion-widget-card" style={promotionStyle}>
              <div className="smart-image promotion-widget-image {% if this.props.codes == empty -%}empty{% endif -%}">
                <div className="promotion-widget-title">{this.props.name}</div>
                {/* {% capture total_discount -%}{% if this.props.is_percentage -%}{{this.props.max_discount | money}} %{% else -%}{% react CurrencyText quantity:this.props.max_discount %}{% endif -%}{% endcapture -%} */}
                <div className="promotion-widget-saveup {% if this.props.codes == empty -%}empty{% endif -%}">
                  <I18nText keyName={['TH_WI_Promotion_DiscountUpTo', 'total_discount']} />
                </div>
              </div>
              {this.props.codes ? (
                <div className="promotion-widget-footer">
                  <div cla ssName="promotion-widget-text">
                    <I18nText keyName="TH_WI_Promotion_PromoCodes" />
                  </div>
                  <div className="promotion-widget-codebox">
                    <div className="promotion-widget-code">{this.props.codes[0]}</div>
                  </div>
                </div>
              ) : null}
              <div className={`promotion-widget-submit ${this.props.codes ? 'empty' : null}`}>
                <button className="btn btn-cta book-now-button">
                  <I18nText keyName="G_Button_Book" />
                </button>
                <div className="promotion-widget-condition">
                  <I18nText keyName="TH_WI_Promotion_Condition" />{' '}
                  <i id={promotionTooltip} className="icon-question-circle" />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}

Promotion.defaultProps = {
  name: 'My promotion',
  codes: '',
  id: '',
  image: '',
};

Promotion.propTypes = {
  name: PropTypes.string,
  codes: PropTypes.string,
  id: PropTypes.string,
  image: PropTypes.string,
};

export default Promotion;
