import React, { Component } from 'react';
import styled from 'styled-components';
import PropTypes from 'prop-types';

const WidgetContainer = styled.div`height: 100%;`;
const WidgetFormHeader = styled.h3`
  margin: 0;
  background-color: rgba(0, 0, 0, 0.5);
  color: #ffffff;
  padding: 1em;
  text-align: center;
`;
const WidgetForm = styled.form`
  display: flex;
  height: 100%;
  padding: 1em;
  background: #ffffff;
`;

const WidgetHeadlineInputContainer = styled.div`
  flex: 1 1 70%;
  border-right: 1px solid #dedede;
  padding-right: 0.5em;
`;
const WidgetHeadlineInput = styled.input`
  display: block;
  width: 100%;
  padding: 0.4em;
  margin-top: 0.5em;
  border: 1px solid #dedede;
  border-radius: 5px;
  font-size: 1rem;
`;
const WidgetImagesUploadInput = styled.input``;

const ImagesUploadContainer = styled.div`flex: 1 1 30%;`;

class SlideshowWidgetEditMode extends Component {
  constructor(props) {
    super(props);
    this.updateHeadline = this.updateHeadline.bind(this);
  }

  updateHeadline() {
    this.props.updateEditableProp('headline', this.input.value);
  }

  render() {
    return (
      <WidgetContainer>
        <WidgetFormHeader>Edit Slideshow</WidgetFormHeader>
        <WidgetForm enctype="multipart/form-data">
          <WidgetHeadlineInputContainer className="slideshow-form__headline">
            <h3>Slideshow Heading</h3>{' '}
            <span>This text will appear on top of the slideshow always</span>
            <WidgetHeadlineInput
              innerRef={comp => {
                this.input = comp;
              }}
              defaultValue={this.props.headline}
              onKeyUp={this.updateHeadline}
            >
              {this.props.headline}
            </WidgetHeadlineInput>
          </WidgetHeadlineInputContainer>
          <ImagesUploadContainer>
            <WidgetImagesUploadInput type="file" />
          </ImagesUploadContainer>
        </WidgetForm>
      </WidgetContainer>
    );
  }
}

SlideshowWidgetEditMode.propTypes = {
  updateEditableProp: PropTypes.func.isRequired,
  headline: PropTypes.string,
};

SlideshowWidgetEditMode.defaultProps = {
  headline: '',
};

export default SlideshowWidgetEditMode;
