import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const SquareWidgetContainer = styled.article`
  width: 100%;
  height: 0;
  padding-bottom: 100%;
  background-color: ${props => props.theme.palette.action};
  position: relative;
`;

const SquareText = styled.h2`
  margin: auto;
  color: ${props => props.theme.palette.logo};
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
  text-align: center;
  font-family: ${props => props.theme.headerFont.name};
`;

const SquareWidget = ({ text }) => (
  <SquareWidgetContainer>
    <SquareText>{text}</SquareText>
  </SquareWidgetContainer>
);

export const editableProps = {
  text: PropTypes.string,
};

SquareWidget.propTypes = {
  ...editableProps,
};

SquareWidget.defaultProps = {
  text: 'Your text here!',
};

export default SquareWidget;
