import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const VideoWidgetContainer = styled.div`
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  padding-top: 25px;
  height: 0;

  & iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
`;

const VideoWidget = ({ content }) => (
  <VideoWidgetContainer dangerouslySetInnerHTML={{ __html: content }} />
);

VideoWidget.propTypes = {
  content: PropTypes.string,
};

VideoWidget.defaultProps = {
  content:
    '<iframe width="560" height="315" src="https://www.youtube.com/embed/T5YQtnIgJfk" frameborder="0" allowfullscreen></iframe>',
};

export default VideoWidget;
