# Templates 2.0 boilerplate

Boilerplate for creating new templates. Copy and paste this folder to create your own.

## Up & Running
Change the name of the package inside `package.json`. The name must start with `@lodgify`
in order to ensure it's easily downloadable from our npm registry. 
Edit the file `slug.js` with the slug you'd like to use for the new template,
i.e. the initial of each CSS class defined inside your new template.

Then install the dependencies with:
```
npm install
```

For a live preview of the template, run:
```
npm start
```

To generate the files needed to use the template as a component inside a React App, use:
```
npm run build
```

## Publish the template

Run:
```
npm run publish
```
To publish it.

To use this template somewhere else (for example, in the lodgify back-end app), you'll simply have to do:
```jsx
import MyTemplate from '@lodgify/my-template`

render() {
  return <MyTemplate />
}
```
