import styled, { css } from 'styled-components';

const CtaContainer = styled.div`
  position: relative;
  display: inline-block;
  float: right;
  width: 8.98203593%;
  min-width: 150px;
  max-width: 155px;
  height: 100%;
  margin-right: 2%;
  margin-left: auto;
  z-index: 2;
  @media screen and (max-width: 600px) {
    order: 3;
    max-width: 150px;
    width: 150px;
    min-width: 100px;
    margin-left: 20px;
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    height: 40px;
    margin: 0;
    z-index: 2;
    ${props =>
      props.isMobile &&
      css`
        transition: transform 0.1s linear;
        transform: translate(100%, 100%);
        z-index: 2000;
        left: 0;
        @media screen and (min-width: 400px) and (max-width: 600px) {
          left: 30%;
        }
      `};
  }
`;

const BookNowButton = styled.button`
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 40px;
  transform: translate(-50%, -50%);
  color: ${props => props.theme.secondary};
  border: none;
  border-radius: 20px;
  background: ${props => props.theme.palette.action};

  @media screen and (max-width: 500px) {
    transform: translate(0, 0);
    left: 0;
    top: 0;
    position: relative;
    width: 150px;
  }
  ${props =>
    props.pinned &&
    css`
      background-color: #444444;
      color: #ffffff;
    `};
`;

export { CtaContainer, BookNowButton };
