import styled from 'styled-components';
import React from 'react';
import PropTypes from 'prop-types';

import styles from './HeroText.scss';

const HeroTextTitle = styled.h2`
  font-family: ${props => props.theme.headerFont.name || 'Caveat, cursive'};
  color: ${props => props.theme.palette.logo};
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1000;
  width: 100%;
  text-align: center;
  font-size: ${props => 50 / props.theme.bodyFont.size}rem;
  margin: 0;
  @media screen and (max-width: 500px) {
    font-size: ${props => 40 / props.theme.bodyFont.size}rem;
  }
`;

const HeroText = props =>
  props.title.length > 0 ? (
    <HeroTextTitle className={styles.heroText}>{props.title}</HeroTextTitle>
  ) : null;

HeroText.defaultProps = {
  title: '',
};

HeroText.propTypes = {
  title: PropTypes.string.isRequired,
};
export default HeroText;
