import React from 'react';
import PropTypes from 'prop-types';
import 'picturefill';

const ResponsiveImg = props => {
  const small = `${props.image.url}&width=600`;
  const medium = `${props.image.url}&width=1024`;
  const desktop = `${props.image.url}&width=1280`;
  return (
    <picture>
      <source srcSet={small} media="(max-width: 600px)" />
      <source srcSet={medium} media="(max-width: 1024px)" />
      <source srcSet={desktop} media="(min-width: 1024px)" />
      <img srcSet={props.image.url} alt={props.image.title} />
    </picture>
  );
};

ResponsiveImg.propTypes = {
  image: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default ResponsiveImg;
