import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

import styles from './Address.scss';

const AddressContainer = styled.address`
  font-size: 0.75rem;
  font-style: normal;
  color: #ffffff;
  @media screen and (max-width: 600px) {
    max-width: 50%;
    margin: 0 auto;
    line-height: 1.8;
  }
`;

const Address = props => (
  <AddressContainer>
    <span className={styles.AddressComponent}>{props.contactInfo.addressName} </span>
    <span className={styles.AddressComponent}>{props.contactInfo.street} </span>
    <span className={styles.AddressComponent}>{props.contactInfo.postalCode}, </span>
    <span className={styles.AddressComponent}>{props.contactInfo.locality}, </span>
    <span className={styles.AddressComponent}>{props.contactInfo.region} </span>
  </AddressContainer>
  );

Address.propTypes = {
  contactInfo: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default Address;
