import React from 'react';
import PropTypes from 'prop-types';
import PhoneIcon from '../../images/phone.svg';

import styles from './Contacts.scss';

const Contacts = props => (
  <div className={styles.contacts}>
    <img src={PhoneIcon} alt={props.telephone} className={styles.phoneIcon} />
    <a className={styles.phoneNumber} href={`tel:${props.telephone}`}>
      {props.telephone}
    </a>
  </div>
);

Contacts.defaultProps = {
  telephone: '',
};

Contacts.propTypes = {
  telephone: PropTypes.string,
};

export default Contacts;
