import React, { Component } from 'react';
import PropTypes from 'prop-types';
import Select from 'react-select';

import 'react-select/dist/react-select.css';

import styles from './Currencies.scss';

class CurrencySelector extends Component {
  constructor(props) {
    super(props);
    this.state = {
      currencies: [],
      actualCurrency: {},
    };
    this.handleChange = this.handleChange.bind(this);
  }

  componentDidMount() {
    this.mapCurrencies();
  }

  mapCurrencies() {
    const currencies = [];
    this.props.availableCurrencies.map(currency =>
      currencies.push({
        value: currency.code,
        label: currency.name,
      }),
    );
    const actualCurrency = {
      value: this.props.currency.code,
      label: this.props.currency.name,
    };
    this.setState({
      currencies,
      actualCurrency,
    });
  }

  handleChange(e) {
    this.setState({
      actualCurrency: {
        value: e.value,
        label: e.value,
      },
    });
  }

  render() {
    return (
      <Select
        className={styles.currencySelect}
        options={this.state.currencies}
        value={this.state.actualCurrency}
        onChange={this.handleChange}
      />
    );
  }
}

CurrencySelector.propTypes = {
  currency: PropTypes.objectOf(PropTypes.any).isRequired,
  availableCurrencies: PropTypes.arrayOf(PropTypes.any).isRequired,
};

export default CurrencySelector;
