import React, { Component } from 'react';
import PropTypes from 'prop-types';

import styles from './Navigation.scss';

class MobileTrigger extends Component {
  constructor(props) {
    super(props);
    this.handleClick = this.handleClick.bind(this);
  }

  handleClick(e) {
    this.props.toggleMobile();
    this.props.showSubNav(e, null);
  }

  render() {
    const MobileNavTriggerClass = this.props.isNavOpen
      ? `${styles.mobileNavTrigger} ${styles.isNavOpen}`
      : `${styles.mobileNavTrigger}`;
    return (
      <div
        className={styles.mobileTriggerContainer}
        role="button"
        tabIndex={0}
        onClick={this.handleClick}
      >
        <span className={MobileNavTriggerClass}>
          <span className={styles.mobileNavTriggerMiddle} />
        </span>
        <span className={styles.mobileTriggerText}>Menu</span>
      </div>
    );
  }
}

MobileTrigger.defaultProps = {
  isNavOpen: false,
  toggleMobile: null,
  showSubNav: null,
};

MobileTrigger.propTypes = {
  isNavOpen: PropTypes.bool.isRequired,
  toggleMobile: PropTypes.func,
  showSubNav: PropTypes.func,
};

export default MobileTrigger;
