import React from 'react';
import PropTypes from 'prop-types';

import Item from './NavItem';

const NavItems = props =>
  props.navItems.map(
    (item, index) =>
      index < props.maxMenuItems && (
        <Item
          key={`${item.pageId}`}
          setRef={props.setRef}
          isMobile={props.isMobile}
          item={item}
          pinned={props.pinned}
          visible={props.comp === item.title && props.subNavVisible && props.subNavVisible}
          showSubNav={props.showSubNav}
          isActivePage={props.pageId === item.pageId}
          hasMultipleTabs={props.hasMultipleTabs}
          hasHeroImage={props.hasHeroImage}
        />
      ),
  );

NavItems.defaultProps = {
  openMobileSubNav: null,
  subNavVisible: false,
  showSubNav: null,
  comp: '',
  pinned: false,
  actualPage: '',
};

NavItems.propTypes = {
  navItems: PropTypes.arrayOf(PropTypes.any).isRequired,
  isMobile: PropTypes.bool.isRequired,
  setRef: PropTypes.func.isRequired,
  subNavVisible: PropTypes.bool.isRequired,
  showSubNav: PropTypes.func,
  comp: PropTypes.string,
  pinned: PropTypes.bool,
  actualPage: PropTypes.string,
};

export default NavItems;
